Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 171044 (MPIOU3Proposed) - Bugs and features for U3 device-mapper-multipath
Summary: Bugs and features for U3 device-mapper-multipath
Keywords:
Status: CLOSED NOTABUG
Alias: MPIOU3Proposed
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ben Marzinski
QA Contact:
URL:
Whiteboard:
Depends On: 155428 155738 164197 166284 174084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-17 17:28 UTC by Ben Marzinski
Modified: 2010-01-12 02:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-20 18:26:46 UTC


Attachments (Terms of Use)

Description Ben Marzinski 2005-10-17 17:28:22 UTC
This is to track which bugs and features are getting done for U3 multipath.

Comment 1 Ben Marzinski 2005-10-17 17:42:34 UTC
This first list of bugs is simply the ones that only effect the user tools and
multipath kernel module or already have upstream fixes. I didn't include the
(168483) I/O Stats and (170552) Load Balancing because it sounds like there are
efforts on these fronts outside of Redhat.  I feel fairly certain that the bugs
listed here will be in U3. I'm pretty certain that we can also include some of
the bugs that require minor device-mapper or SCSI layer changes like 156378,
156385, 156577, and 168801. If people have feelings on the relative priority of
these,
I'd like to know.

Comment 5 Ben Marzinski 2005-10-24 20:46:54 UTC
Oops. I accidentally put 156609 on the depend list, instead of 168538.  156609 is
basically 169538 (when you create a multipath device, you should also create
devices for the partitions on the underlying devices) plus having those partitions
automagically updated when you repartition. For U3, you will have to reload the
device or manually run kpartx after you change the partitions for the change to
be reflected in the multipathed device.

Comment 6 Ben Marzinski 2005-10-26 22:37:52 UTC
Switched 156691 for 169074.  They are the same bug, but 156691 is public facing
and has no ACKs, while 169074 is private and is on the CANFIX list.

Comment 7 Ben Marzinski 2005-12-20 18:26:46 UTC
Closing this out, since it's done its job.


Note You need to log in before you can comment on or make changes to this bug.